using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace Models
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("zx_recipe_para")]
    public class ZxRecipeParaEntity
    {

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }

        /// <summary>
        /// 备  注:关联配方号
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "recipe_code")]
        public string RecipeCode { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:钢圈尺寸
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "rim_inch")]
        public int? RimInch { get; set; }

        /// <summary>
        /// 备  注:灯标宽度
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "light_width")]
        public int? LightWidth { get; set; }

        /// <summary>
        /// 备  注:减速距离
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "slow_distance")]
        public int? SlowDistance { get; set; }

        /// <summary>
        /// 备  注:停止距离
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "stop_distance")]
        public int? StopDistance { get; set; }

        /// <summary>
        /// 备  注:胎体重量
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "tire_weight")]
        public float? TireWeight { get; set; }

        /// <summary>
        /// 备  注:规格名
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "spec_name")]
        public string SpecName { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:规格号
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "spec_code")]
        public string SpecCode { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "S0")]
        public bool? S0 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "S1")]
        public bool? S1 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "S2")]
        public bool? S2 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "S3")]
        public bool? S3 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "S4")]
        public bool? S4 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "S5")]
        public bool? S5 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "S6")]
        public bool? S6 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "S7")]
        public bool? S7 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "S8")]
        public bool? S8 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "S9")]
        public bool? S9 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "B0")]
        public bool? B0 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "B1")]
        public bool? B1 { get; set; }

         /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "B2")]
        public bool? B2 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "B3")]
        public bool? B3 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "B4")]
        public bool? B4 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "B5")]
        public bool? B5 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "B6")]
        public bool? B6 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "B7")]
        public bool? B7 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "B8")]
        public bool? B8 { get; set; }

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "B9")]
        public bool? B9 { get; set; }


    }

}